Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.gazetteer
Class LoadBBOXCommand

    java.lang.Object
      org.deegree.portal.standard.gazetteer.AbstractGazetteerCommand
          org.deegree.portal.standard.gazetteer.LoadBBOXCommand

    public class LoadBBOXCommand

extends AbstractGazetteerCommand

TODO add class documentation here

Version:
  $Revision: 25856 $, $Date: 2010-08-12 08:28:22 +0200 (Do, 12. Aug 2010) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Field Summary

Fields inherited from class org.deegree.portal.standard.gazetteer.AbstractGazetteerCommand
`capabilitiesMap, featureType, gazetteerAddress, items, properties`

Constructor Summary
`LoadBBOXCommand(String gazetteerAddress, QualifiedName featureType, Map<String,String> properties, String geogrId)`

Method Summary
`(package private) Pair<Geometry,Geometry>` | `execute()`
`protected PropertyPath[]` | `getResultProperties(Map<String,String> properties)`

Methods inherited from class org.deegree.portal.standard.gazetteer.AbstractGazetteerCommand
`createItemsList, createPropertyPath, loadCapabilities, performGetFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadBBOXCommand

    LoadBBOXCommand(String gazetteerAddress,
                    QualifiedName featureType,
                    Map<String,String> properties,
                    String geogrId)

Parameters:
  `gazetteerAddress` -
  `featureType` -
  `properties` -
  `geogrId` -

Method Detail

### execute

    Pair<Geometry,Geometry> execute()
                              throws Exception

  Returns:
    first contains highlight geometry; second geographic extent
  Throws:
    `Exception`

### getResultProperties

    protected PropertyPath[] getResultProperties(Map<String,String> properties)

  Overrides:
    `getResultProperties` in class `AbstractGazetteerCommand`
  Parameters:
    `properties` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org